import { EntityRepository, Repository } from "typeorm";
import { UpdateFooterCmsDto } from "./dto/update-footer-cms.dto";
import { FooterCms } from "./entities/footer-cms.entity";

@EntityRepository(FooterCms)
export class FooterCmsRepository extends Repository<FooterCms> {

    async createEntity(dto: UpdateFooterCmsDto): Promise<FooterCms | Error> {
        try {
            const entity = this.create({
                logo: dto.logo,
                description: dto.description,
                email: dto.email,
                phone: dto.phone,
                fax: dto.fax,
                copyrightText: dto.copyrightText,
                paymentMethodImage: dto.paymentMethodImage,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async UpdateEntity(dto: UpdateFooterCmsDto, id: string): Promise<FooterCms | Error> {
        try {
            await this.update(id, {
                logo: dto.logo,
                description: dto.description,
                email: dto.email,
                phone: dto.phone,
                fax: dto.fax,
                copyrightText: dto.copyrightText,
                paymentMethodImage: dto.paymentMethodImage,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<FooterCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}