import { EntityRepository, Repository } from "typeorm";
import { UpdateHomePageCmsDto } from "./dto/update-home-page-cms.dto";
import { HomePageCms } from "./entities/home-page-cms.entity";

@EntityRepository(HomePageCms)
export class HomePageCmsRepository extends Repository<HomePageCms> {

    async createEntity(dto: UpdateHomePageCmsDto): Promise<HomePageCms | Error> {
        try {
            const entity = this.create({
                sectionOneTitle: dto.sectionOneTitle,
                sectionOneSubTitle: dto.sectionOneSubTitle,
                carouselTitle: dto.carouselTitle,
                sectionTwoTitle: dto.sectionTwoTitle,
                sectionTwoSubTitle: dto.sectionTwoSubTitle,
                sectionFiveTitle: dto.sectionFiveTitle,
                sectionFiveSubTitle: dto.sectionFiveSubTitle,
                sectionEightTitle: dto.sectionEightTitle,
                sectionEightSubTitle: dto.sectionEightSubTitle,
                sectionNineTitle: dto.sectionNineTitle,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async UpdateEntity(dto: UpdateHomePageCmsDto, id: string): Promise<HomePageCms | Error> {
        try {
            await this.update(id, {
                sectionOneTitle: dto.sectionOneTitle,
                sectionOneSubTitle: dto.sectionOneSubTitle,
                carouselTitle: dto.carouselTitle,
                sectionTwoTitle: dto.sectionTwoTitle,
                sectionTwoSubTitle: dto.sectionTwoSubTitle,
                sectionFiveTitle: dto.sectionFiveTitle,
                sectionFiveSubTitle: dto.sectionFiveSubTitle,
                sectionEightTitle: dto.sectionEightTitle,
                sectionEightSubTitle: dto.sectionEightSubTitle,
                sectionNineTitle: dto.sectionNineTitle,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<HomePageCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}