import { EntityRepository, Repository } from "typeorm";
import { UpdateHomePageSectionSixCmsDto } from "./dto/update-home-page-section-six-cms.dto";
import { HomePageSectionSixCms } from "./entities/home-page-section-six-cms.entity";

@EntityRepository(HomePageSectionSixCms)
export class HomePageSectionSixCmsRepository extends Repository<HomePageSectionSixCms> {

    async createEntity(dto: UpdateHomePageSectionSixCmsDto): Promise<HomePageSectionSixCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                subTitle: dto.subTitle,
                description: dto.description,
                image: dto.image,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async UpdateEntity(dto: UpdateHomePageSectionSixCmsDto, id: string): Promise<HomePageSectionSixCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                subTitle: dto.subTitle,
                description: dto.description,
                image: dto.image,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<HomePageSectionSixCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}