import { EntityRepository, Repository } from "typeorm";
import { UpdateNewsletterCmsDto } from "./dto/update-newsletter-cms.dto";
import { NewsletterCms } from "./entities/newsletter-cms.entity";

@EntityRepository(NewsletterCms)
export class NewsletterCmsRepository extends Repository<NewsletterCms> {

    async createEntity(dto: UpdateNewsletterCmsDto): Promise<NewsletterCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                image: dto.image,
                emailTtile: dto.emailTtile,
                emailPlaceHolderText: dto.emailPlaceHolderText,
                buttonText: dto.buttonText,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async UpdateEntity(dto: UpdateNewsletterCmsDto, id: string): Promise<NewsletterCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                image: dto.image,
                emailTtile: dto.emailTtile,
                emailPlaceHolderText: dto.emailPlaceHolderText,
                buttonText: dto.buttonText,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<NewsletterCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}