import { EntityRepository, Repository } from "typeorm";
import { UpdateStylePageSectionFourCmsDto } from "./dto/update-style-page-section-four-cms.dto";
import { StylePageSectionFourCms } from "./entities/style-page-section-four-cms.entity";

@EntityRepository(StylePageSectionFourCms)
export class StylePageSectionFourCmsRepository extends Repository<StylePageSectionFourCms> {

    async createEntity(dto: UpdateStylePageSectionFourCmsDto): Promise<StylePageSectionFourCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                subTitle: dto.subTitle,
                image: dto.image,
                description: dto.description,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async UpdateEntity(dto: UpdateStylePageSectionFourCmsDto, id: string): Promise<StylePageSectionFourCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                subTitle: dto.subTitle,
                image: dto.image,
                description: dto.description,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<StylePageSectionFourCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}