import { EntityRepository, Repository } from "typeorm";
import { UpdateStylePageSectionOneCmsDto } from "./dto/update-style-page-section-one-cms.dto";
import { StylePageSectionOneCms } from "./entities/style-page-section-one-cms.entity";

@EntityRepository(StylePageSectionOneCms)
export class StylePageSectionOneCmsRepository extends Repository<StylePageSectionOneCms> {

    async createEntity(dto: UpdateStylePageSectionOneCmsDto): Promise<StylePageSectionOneCms | Error> {
        try {
            const entity = this.create({
                imageOne: dto.imageOne,
                imageOneTitle: dto.imageOneTitle,
                imageOneLink: dto.imageOneLink,
                imageTwo: dto.imageTwo,
                imageTwoTitle: dto.imageTwoTitle,
                imageTwoLink: dto.imageTwoLink,
                imageThree: dto.imageThree,
                imageThreeTitle: dto.imageThreeTitle,
                imageThreeLink: dto.imageThreeLink,
                imageFour: dto.imageFour,
                imageFourTitle: dto.imageFourTitle,
                imageFourLink: dto.imageFourLink,
                imageFive: dto.imageFive,
                imageFiveTitle: dto.imageFiveTitle,
                imageFiveLink: dto.imageFiveLink,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async UpdateEntity(dto: UpdateStylePageSectionOneCmsDto, id: string): Promise<StylePageSectionOneCms | Error> {
        try {
            await this.update(id, {
                imageOne: dto.imageOne,
                imageOneTitle: dto.imageOneTitle,
                imageOneLink: dto.imageOneLink,
                imageTwo: dto.imageTwo,
                imageTwoTitle: dto.imageTwoTitle,
                imageTwoLink: dto.imageTwoLink,
                imageThree: dto.imageThree,
                imageThreeTitle: dto.imageThreeTitle,
                imageThreeLink: dto.imageThreeLink,
                imageFour: dto.imageFour,
                imageFourTitle: dto.imageFourTitle,
                imageFourLink: dto.imageFourLink,
                imageFive: dto.imageFive,
                imageFiveTitle: dto.imageFiveTitle,
                imageFiveLink: dto.imageFiveLink,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<StylePageSectionOneCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}