import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';
import { StylePageSectionThreeCmsRepository } from './style-page-section-three-cms.repository';
import { StylePageSectionThreeCmsController } from './style-page-section-three-cms.controller';
import { StylePageSectionThreeCmsService } from './style-page-section-three-cms.service';
import { FileUploadsService } from 'src/modules/file-uploads/file-uploads.service';
import { DoSpacesService } from 'src/modules/SpacesModule/SpacesService/doSpacesService';
import { DoSpacesServicerovider } from 'src/modules/SpacesModule/SpacesService';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([StylePageSectionThreeCmsRepository])
    ],
    controllers: [StylePageSectionThreeCmsController],
    providers: [StylePageSectionThreeCmsService, JwtHelper, FileUploadsService, DoSpacesService, DoSpacesServicerovider]
})
export class StylePageSectionThreeCmsModule {}