import { Module } from '@nestjs/common';
import { CardInformationService } from './card-information.service';
import { CardInformationController } from './card-information.controller';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import { TypeOrmModule } from '@nestjs/typeorm';
import { CardInformationRepository } from './card-information.repository';
import { UsersRepository } from '../users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
  imports: [
    JwtModule.registerAsync({
      useClass: JwtConfigService
    }),
    TypeOrmModule.forFeature([
      CardInformationRepository,
      UsersRepository
    ])
  ],
  controllers: [CardInformationController],
  providers: [CardInformationService, JwtHelper]
})
export class CardInformationModule {}
