import { Controller, Get, Post, Body, HttpCode, UseGuards, HttpStatus } from '@nestjs/common';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';
import { Constants } from 'src/utils/constants';
import { GalleryComponentCmsService } from './gallery-component-cms.service';
import { UpdateGalleryComponentCmsDto } from './dto/update-gallery-component-cms.dto';

@Controller({ path: 'gallery-component-cms', version: Constants.API_VERSION_1 })

export class GalleryComponentCmsController {
    constructor(private readonly service: GalleryComponentCmsService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateGalleryComponentCmsDto,
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
