import { EntityRepository, Repository } from "typeorm";
import { UpdateGiftCardDetailsComponentCmsDto } from "./dto/update-gift-card-details-component-cms.dto";
import { GiftCardDetailsComponentCms } from "./entities/gift-card-details-component-cms.entity";

@EntityRepository(GiftCardDetailsComponentCms)
export class GiftCardDetailsComponentCmsRepository extends Repository<GiftCardDetailsComponentCms> {

    async createEntity(dto: UpdateGiftCardDetailsComponentCmsDto): Promise<GiftCardDetailsComponentCms | Error> {
        try {
            const entity = this.create({
                giftCardTitleFontColor: dto.giftCardTitleFontColor,
                pageBackgroundColor: dto.pageBackgroundColor,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateGiftCardDetailsComponentCmsDto, id: string): Promise<GiftCardDetailsComponentCms | Error> {
        try {
            await this.update(id, {
                giftCardTitleFontColor: dto.giftCardTitleFontColor,
                pageBackgroundColor: dto.pageBackgroundColor,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<GiftCardDetailsComponentCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}