import { EntityRepository, Repository } from "typeorm";
import { UpdateLearnComponentCmsDto } from "./dto/update-learn-component-cms.dto";
import { LearnComponentCms } from "./entities/learn-component-cms.entity";

@EntityRepository(LearnComponentCms)
export class LearnComponentCmsRepository extends Repository<LearnComponentCms> {

    async createEntity(dto: UpdateLearnComponentCmsDto): Promise<LearnComponentCms | Error> {
        try {
            const entity = this.create({
                pageBackgroundColor: dto.pageBackgroundColor,
                pageHeaderBackgroundColor: dto.pageHeaderBackgroundColor,
                pageHeaderFontColor: dto.pageHeaderFontColor,
                pageTitleFontColor: dto.pageTitleFontColor,
                sectionOneTitleFontColor: dto.sectionOneTitleFontColor,
                sectionTwoTitleFontColor: dto.sectionTwoTitleFontColor,
                sectionThreeTitleFontColor: dto.sectionThreeTitleFontColor,
                sectionFourTitleFontColor: dto.sectionFourTitleFontColor,
                sectionFiveTitleFontColor: dto.sectionFiveTitleFontColor,
                sectionSixTitleFontColor: dto.sectionSixTitleFontColor,
                sectionSevenTitleFontColor: dto.sectionSevenTitleFontColor,
                sectionEightTitleFontColor: dto.sectionEightTitleFontColor,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateLearnComponentCmsDto, id: string): Promise<LearnComponentCms | Error> {
        try {
            await this.update(id, {
                pageBackgroundColor: dto.pageBackgroundColor,
                pageHeaderBackgroundColor: dto.pageHeaderBackgroundColor,
                pageHeaderFontColor: dto.pageHeaderFontColor,
                pageTitleFontColor: dto.pageTitleFontColor,
                sectionOneTitleFontColor: dto.sectionOneTitleFontColor,
                sectionTwoTitleFontColor: dto.sectionTwoTitleFontColor,
                sectionThreeTitleFontColor: dto.sectionThreeTitleFontColor,
                sectionFourTitleFontColor: dto.sectionFourTitleFontColor,
                sectionFiveTitleFontColor: dto.sectionFiveTitleFontColor,
                sectionSixTitleFontColor: dto.sectionSixTitleFontColor,
                sectionSevenTitleFontColor: dto.sectionSevenTitleFontColor,
                sectionEightTitleFontColor: dto.sectionEightTitleFontColor,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<LearnComponentCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}