import { Controller, Get, Post, Body, HttpCode, UseGuards, HttpStatus } from '@nestjs/common';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';
import { Constants } from 'src/utils/constants';
import { PrivacyPolicyComponentCmsService } from './privacy-policy-component-cms.service';
import { UpdatePrivacyPolicyComponentCmsDto } from './dto/update-privacy-policy-component-cms.dto';

@Controller({ path: 'privacy-policy-component-cms', version: Constants.API_VERSION_1 })

export class PrivacyPolicyComponentCmsController {
    constructor(private readonly service: PrivacyPolicyComponentCmsService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdatePrivacyPolicyComponentCmsDto,
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
