import { EntityRepository, Repository } from "typeorm";
import { UpdatePromotionalComponentCmsDto } from "./dto/update-promotional-component-cms.dto";
import { PromotionalComponentCms } from "./entities/promotional-component-cms.entity";

@EntityRepository(PromotionalComponentCms)
export class PromotionalComponentCmsRepository extends Repository<PromotionalComponentCms> {

    async createEntity(dto: UpdatePromotionalComponentCmsDto): Promise<PromotionalComponentCms | Error> {
        try {
            const entity = this.create({
                pageTitleFontColor: dto.pageTitleFontColor,
                pageSubTitleFontColor: dto.pageSubTitleFontColor,
                pageBackgroundColor: dto.pageBackgroundColor,

            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdatePromotionalComponentCmsDto, id: string): Promise<PromotionalComponentCms | Error> {
        try {
            await this.update(id, {
                pageTitleFontColor: dto.pageTitleFontColor,
                pageSubTitleFontColor: dto.pageSubTitleFontColor,
                pageBackgroundColor: dto.pageBackgroundColor,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<PromotionalComponentCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}