import { Controller, Get, Post, Body, HttpCode, UseGuards, HttpStatus } from '@nestjs/common';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';
import { Constants } from 'src/utils/constants';
import { TermsPolicyComponentCmsService } from './terms-policy-component-cms.service';
import { UpdateTermsPolicyComponentCmsDto } from './dto/update-terms-policy-component-cms.dto';

@Controller({ path: 'terms-policy-component-cms', version: Constants.API_VERSION_1 })

export class TermsPolicyComponentCmsController {
    constructor(private readonly service: TermsPolicyComponentCmsService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateTermsPolicyComponentCmsDto,
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
