import { Module } from '@nestjs/common';
import { JwtModule } from '@nestjs/jwt';
import { TypeOrmModule } from '@nestjs/typeorm';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';
import { ContactAddressController } from './contact-address.controller';
import { ContactAddressRepository } from './contact-address.repository';
import { ContactAddressService } from './contact-address.service';

@Module({
  imports: [
    JwtModule.registerAsync({
      useClass: JwtConfigService
    }),
    TypeOrmModule.forFeature([UsersRepository]),
    TypeOrmModule.forFeature([ContactAddressRepository])
  ],
  controllers: [ContactAddressController],
  providers: [ContactAddressService, JwtHelper]
})
export class ContactAddressModule {}
