import { CoreEntity } from "src/core/core.entity";
import { Column, Entity, JoinColumn, ManyToOne } from "typeorm";
import { Product } from "../../product/entity/product.entity";

@Entity('product_color_variants')
export class ProductColorVariants extends CoreEntity {
    @Column()
    productId: string;

    @Column()
    productName: string;

    @Column()
    colorId: string;

    @Column()
    colorName: string;

    @Column()
    colorCode: string;

    @ManyToOne(() => Product)
    @JoinColumn({ name: 'productId', referencedColumnName: "id" })
    product: Product;
}
