import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ProductColorRepository } from './product-color.repository';
import { ProductColorController } from './product-color.controller';
import { ProductColorService } from './product-color.service';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ProductColorRepository])
    ],
    controllers: [ProductColorController],
    providers: [ProductColorService, JwtHelper]
})
export class ProductColorModule {}
