import { CoreEntity } from "src/core/core.entity";
import { Column, Entity, JoinColumn, ManyToOne } from "typeorm";
import { Product } from "../../product/entity/product.entity";

@Entity('product_image_gallery')
export class ProductImageGallery extends CoreEntity {
    @Column()
    productId: string;

    @Column()
    productName: string;

    @Column({default: 'default.png', nullable: true})
    image: string;

    @ManyToOne(() => Product)
    @JoinColumn({ name: 'productId', referencedColumnName: "id" })
    product: Product[];
}
