import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ProductParentCategoryRepository } from './product-parent-category.repository';
import { ProductParentCategoryController } from './product-parent-category.controller';
import { ProductParentCategoryService } from './product-parent-category.service';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';
import { DoSpacesServicerovider } from 'src/modules/SpacesModule/SpacesService';
import { DoSpacesService } from 'src/modules/SpacesModule/SpacesService/doSpacesService';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ProductParentCategoryRepository])
    ],
    controllers: [ProductParentCategoryController],
    providers: [ProductParentCategoryService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class ProductParentCategoryModule {}
