import { Module } from '@nestjs/common';
import { JwtModule } from '@nestjs/jwt';
import { TypeOrmModule } from '@nestjs/typeorm';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from '../users/user.repository';
import { QuickLinksController } from './quick-links.controller';
import { QuickLinksRepository } from './quick-links.repository';
import { QuickLinksService } from './quick-links.service';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([QuickLinksRepository])
    ],
    controllers: [QuickLinksController],
    providers: [QuickLinksService, JwtHelper]
})
export class QuickLinksModule { }
