import { Controller, Get, Post, Body, Patch, Param, Delete, Query } from '@nestjs/common';
import { ReportService } from './report.service';
import { CreateReportDto } from './dto/create-report.dto';
import { UpdateReportDto } from './dto/update-report.dto';
import { Constants } from 'src/utils/constants';

@Controller({ path: 'report', version: Constants.API_VERSION_1 })
export class ReportController {
  constructor(private readonly reportService: ReportService) { }

  @Get('/profit')
  // @UseGuards(AuthGuard)
  async getOrderProfit(
    @Query('limit') limit: number,
    @Query('page') page: number,
    @Query('startDate') startDate?: Date,
    @Query('endDate') endDate?: Date,
    @Query('orderId') orderId?: string
  ) {
    return await this.reportService.orderProfitService(limit, page, startDate, endDate, orderId);
  }
}
