import { Entity, Column } from "typeorm";
import { CoreEntity } from "../../../core/core.entity";

export enum Gender {
    Male = 'Male',
    Female = 'Female',
    Other = 'Other'
}

@Entity('users')
export class User extends CoreEntity {
    @Column()
    fullName: string;

    @Column({nullable: true})
    displayName: string;

    @Column({unique: true})
    email: string;

    @Column()
    password: string;

    @Column()
    phone: string;

    @Column({default: "default.png", nullable: true})
    image: string;

    @Column({nullable: true})
    streetAddress: string;

    @Column({nullable: true})
    city: string;

    @Column({nullable: true})
    postCode: string;

    @Column({nullable: true})
    country: string;

    @Column({ name: 'role', default: 3 })
    role: UserRole;

    @Column({ name: 'userType', default: 'customer'})
    userType: string;
}
